> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Room Presence

> Get a presence snapshot for a room



## OpenAPI

````yaml GET /rooms/{room_name}/presence
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /rooms/{room_name}/presence:
    get:
      tags:
        - rooms
      summary: rooms/:name/presence
      description: Get a presence snapshot for a room
      operationId: GetRoomPresence
      parameters:
        - name: room_name
          in: path
          description: The name of the room
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: limit
          in: query
          description: Sets the number of participants returned.
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
        - name: userId
          in: query
          description: >-
            Returns presence for the user with the given userId, if available.
            The userId is specified via a [meeting
            token](/products/rest-api/meeting-tokens/config#user_id).
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: userName
          in: query
          description: Returns presence for the user with the given name, if available.
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rooms-room_name_presence-get-res'
              examples:
                Result:
                  value:
                    total_count: 1
                    data:
                      - room: w2pp2cf4kltgFACPKXmX
                        id: d61cd7b2-a273-42b4-89bd-be763fd562c1
                        userId: pbZ+ismP7dk=
                        userName: Moishe
                        mtgSessionId: 16e9701a-93e0-4933-83c9-223e7c40d552
                        joinTime: '2023-01-01T20:53:19.000Z'
                        duration: 2312
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    rooms-room_name_presence-get-res:
      type: object
      properties:
        total_count:
          type: integer
          example: 192
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                example: d61cd7b2-a273-42b4-89bd-be763fd562c1
              room:
                type: string
                example: w2pp2cf4kltgFACPKXmX
              userId:
                type: string
                example: pbZ+ismP7dk=
              userName:
                type: string
                example: Moishe
              mtgSessionId:
                type: string
                example: 16e9701a-93e0-4933-83c9-223e7c40d552
              joinTime:
                type: string
                example: '2023-01-01T20:53:19.000Z'
              duration:
                type: integer
                format: int32
                example: 2312
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````